> ## Documentation Index
> Fetch the complete documentation index at: https://perps-api.vooi.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit a signed Hyperliquid sendAsset transfer



## OpenAPI

````yaml https://vooi-api-app.fly.dev/swagger/json post /exchange/hyperliquid/send-asset/execute
openapi: 3.1.0
info:
  title: VOOI API
  description: Unified perps API
  version: '1.0'
  contact: {}
servers:
  - url: https://perps-api.vooi.io
security: []
tags: []
paths:
  /exchange/hyperliquid/send-asset/execute:
    post:
      tags:
        - Exchange / Hyperliquid
      summary: Submit a signed Hyperliquid sendAsset transfer
      operationId: HyperliquidController_executeSendAsset
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ExecuteHyperliquidSendAssetBodyDto'
      responses:
        '201':
          description: ''
      security:
        - bearer: []
components:
  schemas:
    ExecuteHyperliquidSendAssetBodyDto:
      type: object
      properties:
        pendingData:
          type: object
          properties:
            action:
              type: object
              properties:
                amount:
                  type: string
                destination:
                  type: string
                  description: Ethereum address
                  example: '0x1234567890abcdef1234567890abcdef12345678'
                destinationDex:
                  type: string
                  enum:
                    - ''
                    - xyz
                    - mkts
                    - vntl
                fromSubAccount:
                  anyOf:
                    - type: string
                      enum:
                        - ''
                    - type: string
                      description: Ethereum address
                      example: '0x1234567890abcdef1234567890abcdef12345678'
                hyperliquidChain:
                  type: string
                  enum:
                    - Mainnet
                nonce:
                  type: number
                signatureChainId:
                  type: string
                  enum:
                    - '0xa4b1'
                sourceDex:
                  type: string
                  enum:
                    - ''
                    - xyz
                    - mkts
                    - vntl
                token:
                  type: string
                type:
                  type: string
                  enum:
                    - sendAsset
              required:
                - amount
                - destination
                - destinationDex
                - fromSubAccount
                - hyperliquidChain
                - nonce
                - signatureChainId
                - sourceDex
                - token
                - type
            destination:
              type: string
              description: Ethereum address
              example: '0x1234567890abcdef1234567890abcdef12345678'
            nonce:
              type: number
          required:
            - action
            - destination
            - nonce
          description: The pendingData payload returned by the prepare step.
        signature:
          type: string
          description: EIP-712 signature produced by the main wallet.
          example: 0xabcdef...
      required:
        - pendingData
        - signature
      title: ExecuteHyperliquidSendAssetBody
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.